#-----------------------------------------------------------------------------
#  Copyright (C) 2014-2022 Thomas S. Ullrich
#
#  This file is part of the MineSweeper project.
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: April 18, 2022
#-----------------------------------------------------------------------------
VERSION = 1.2.4
TEMPLATE = app
CONFIG  += qt warn_on release c++14
CONFIG  += sdk_no_version_check
QT += svg network xml widgets printsupport svgwidgets
RESOURCES += ms.qrc
macx {
  QMAKE_APPLE_DEVICE_ARCHS = x86_64 arm64
}

macx:ICON += platforms/macx/BundleItems/ms.icns
win32:RC_ICONS += ms.ico
win32:ICON += ms.ico
win32:RC_FILE += smgResources.rc

unix {
   documentation.path = /usr/local/share/MineSweeper/docs
   documentation.files = docs/*  license.txt gpl.txt
   target.path = /usr/local/bin/
   INSTALLS += documentation
   INSTALLS += target
}

#
# For macOS bundle
#
macx {
    msdocs.files = docs
    msdocs.path = Contents/Resources/
    mslicense.files = platforms/gpl.txt platforms/license.txt
    mslicense.path = Contents/
    msicns.file = platforms/macx/BundleItems/ms.icns
    msicns.path = Contents/Resources/
    msinfo.files = platforms/macx/BundleItems/Info.plist
    msinfo.path = Contents/
    QMAKE_BUNDLE_DATA += msdocs mslicense msicns msinfo
}

HEADERS += src/msWindow.h \
           src/msCell.h \
           src/msCustomSizeDialog.h \
           src/msSettings.h \
           src/msVersion.h \
           src/msPreferencesDialog.h \
           src/msHighscoreEntry.h \
           src/msHighscoreList.h \
           src/msAboutDialog.h \
           src/msHelpBrowser.h \
           src/msOopsPixmap.h

SOURCES += src/msMain.cpp \
           src/msWindow.cpp \
           src/msCell.cpp \
           src/msCustomSizeDialog.cpp \
           src/msSettings.cpp \
           src/msPreferencesDialog.cpp \
           src/msHighscoreEntry.cpp \
           src/msHighscoreList.cpp \
           src/msAboutDialog.cpp \
           src/msHelpBrowser.cpp

DISTFILES += ChangeLog.txt
