//-----------------------------------------------------------------------------
//  Copyright (C) 2014-2015 Thomas S. Ullrich
//
//  This file is part of "MineSweeper".
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//
//  Author: Thomas S. Ullrich
//  Last update: July 29, 2014
//-----------------------------------------------------------------------------
#ifndef msCustomSizeDialog_h
#define msCustomSizeDialog_h

#include <QtCore/QVariant>
#include <QAction>
#include <QApplication>
#include <QButtonGroup>
#include <QDialog>
#include <QDialogButtonBox>
#include <QFormLayout>
#include <QFrame>
#include <QHeaderView>
#include <QLabel>
#include <QSpinBox>
#include <QVBoxLayout>
#include <QSizePolicy>

class msCustomSizeDialog : public QDialog
{
    Q_OBJECT

public:
    msCustomSizeDialog(QWidget *parent = 0);
    ~msCustomSizeDialog();
    
public:
    int rows() const;
    int columns() const;
    int mines() const;
    
    void setRows(int);
    void setColumns(int);
    void setMines(int);
    
    void setMaximumRows(int);
    void setMaximumColumns(int);

public slots:
    void accept();
    
private:
    QVBoxLayout *mVerticalLayout;
    QFormLayout *mFormLayout;
    QLabel *mRowsLabel;
    QLabel *mMinesLabel;
    QLabel *mColumnsLabel;
    QSpinBox *mRowsSpinBox;
    QSpinBox *mColumnsSpinBox;
    QSpinBox *mMinesSpinBox;
    QFrame *mSeparator;
    QDialogButtonBox *mButtonBox;
};


#endif
